/* This file is part of Roboarm.
 *
 * Roboarm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Roboarm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Roboarm; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package ch.educeth.roboarm;

/**
 * Dieser Animationsloop implementiert eine Bewegung des Roboterarms auf einer
 * Gerade im (Alpha, Beta)-Koordinatenraum
 */
public class AnimationLineAB extends AnimationLoop {
   public void run() {
      double startA, startB, dA, dB;

      for(int i=0; i<goals.size(); i++) {
          Goal g=(Goal)goals.get(i);
          startA=data.getAlpha();
          startB=data.getBeta();

          dA=(g.alpha-startA)/g.runs;
         dB=(g.beta-startB)/g.runs;

         for(int k=1; k<=g.runs; k++) data.setAngles(startA+k*dA, startB+k*dB);
            verticeAnimation();
      }

      endOfAnimation();
   }
}
