/* This file is part of Roboarm.
 *
 * Roboarm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Roboarm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Roboarm; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package ch.educeth.roboarm;

/**
 * Dieser Animationsloop implementiert eine Bewegung des Roboterarms auf einer
 * Gerade im (x,y)-Koordinatenraum
 */
public class AnimationLineXY extends AnimationLoop {
   public void run() {
      double startX, startY, deltaX, deltaY;

      for(int j=0; j<goals.size(); j++) {
         Goal g=(Goal)goals.get(j);
         startX=data.getX();
         startY=data.getY();
         deltaX=(g.x-startX)/g.runs;
         deltaY=(g.y-startY)/g.runs;

         for(int i=1; i<g.runs; i++)
            data.setCoordinates((int)(startX+i*deltaX), (int)(startY+i*deltaY));

         verticeAnimation();
      }

      endOfAnimation();
   }
}
