/* This file is part of Roboarm.
 *
 * Roboarm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Roboarm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Roboarm; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package ch.educeth.roboarm;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;

/**
 * Applet-Klasse. Das Frame mit der eigentlichen Applikation wird hier geoeffnet
 */
public class RobotApplet extends Applet implements ActionListener {
   private RobotFrame frame;

   public ImageIcon getImageIcon(String filename) {
      return new ImageIcon(RobotApplet.class.getResource(filename));
   }

   public void init() {
      setLayout(new GridLayout(1,1));

      frame=new RobotFrame();

      JButton startButton=new JButton(getImageIcon("icons/roboarm-button.gif"));
      startButton.addActionListener(this);
      add(startButton);
   }

   public void stop() {
      frame.reset.doClick();
      frame.setVisible(false);
   }

   public void actionPerformed(ActionEvent e) {
      frame.setVisible(true);
   }

   public static void main(String [] args) {
      RobotFrame f=new RobotFrame();

      f.addWindowListener(new WindowAdapter() {
        public void windowClosing(WindowEvent evt) {
          System.exit(0);
        }
      });

      f.setVisible(true);
   }
}